package com.quyunshuo.module.home.pay

import kotlinx.coroutines.flow.Flow

/**
 * 支付 接口 策略模式
 */
interface PaymentStrategy {

    /**
     * 发起支付
     * @param price 金额   -- 使用map，因为参数有可能很多~
     */
    suspend fun pay(params: Map<String, String>):Flow<String>


    /**
     * 查询交易结果
     */
    suspend fun queryPayState(params: Map<String, String>):Flow<String>

}